import matplotlib.pyplot as plt
numargs = poisson.numargs
[ mu ] = Replace with reasonable value * numargs
rv = poisson(mu)

# Display frozen pdf

x = np.linspace(0, np.minimum(rv.dist.b, 3))
h = plt.plot(x, rv.pdf(x))

# Check accuracy of cdf and ppf

prb = poisson.cdf(x, mu)
h = plt.semilogy(np.abs(x - poisson.ppf(prb, mu)) + 1e-20)

# Random number generation

R = poisson.rvs(mu, size=100)
